\begin{titlepage}
\begin{center}

\textsc{\LARGE \univname}\\[3.5cm] % University name
\textsc{\Large \typPrace}\\[0.5cm] % Thesis type

\HRule \\[0.8cm] % Horizontal line
{\huge \bfseries \nazevPrace}\\[0.4cm] % Thesis title
\HRule \\[1.5cm] % Horizontal line


\begin{minipage}{0.4\textwidth}
\begin{flushleft} \large
\emph{Autor:}\\
\href{https://github.com/freed00m/}{\authornames} % Author name - remove the \href bracket to remove the link
\end{flushleft}
\end{minipage}
\begin{minipage}{0.4\textwidth}
\begin{flushright} \large
\emph{Předmět:} \\
\nazevPredmetu
\end{flushright}
\end{minipage}\\[4cm]

% \groupname\\\deptname\\[2cm] % Research group name and department
   \hspace*{1cm} \includegraphics[width=60mm]{frontpages/Logos/KKY_logo_cz_large.png} \\[4\baselineskip] % University/department logo
{\large \today}\\[4cm] % Date

\vfill

\end{center}
\end{titlepage}